Subject: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Aaron Jensen <[email-masked]>
Date: Thu, 29 Dec 2022 21:11:28 -0500

On Thu, Dec 29, 2022 at 8:16 PM Paul Eggert <[email-masked]> wrote:
>
> On 12/29/22 16:03, Aaron Jensen wrote:
> > Would it make sense to use block_atimers while loading native lisp? If
>
> Might, but it might make more sense not to be dynamically loading code
> during an idle timer. Surely this could cause problems even in
> non-native lisp. Anyway, I suggest consulting a macOS expert before
> doing much experimenting; there's not enough evidence now for me to give
> advice.

I reported a bug and opened a discussion on the developer forum. We
will see where that goes.

I also added printfs on either side of native-elisp-load. When I got a
crash, it was in a magit eln again and from what I can tell, every
"start loading" had a matching "loaded" logged. I don't know that that
definitely rules out the load interrupted theory or not.

Furthermore, I've been able to crash it in a debugger. I don't know
what to do there though, so I'm not sure how useful that is at this
point.

Aaron